# Generated by Django 4.0.4 on 2022-05-23 08:33

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('authentication', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Disease',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('disease_name', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Insurance',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('policy_name', models.CharField(max_length=100, unique=True)),
                ('policy_type', models.CharField(choices=[('reemberse', 'reemberse'), ('cashless', 'cashless')], max_length=12)),
                ('policy_percent', models.FloatField(blank=True, null=True)),
                ('policy_cash', models.FloatField(blank=True, null=True)),
                ('disease_covered', models.ManyToManyField(to='hospital.disease')),
            ],
        ),
        migrations.CreateModel(
            name='Medicine',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('medicine_name', models.CharField(max_length=20)),
                ('power', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Patient',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=15)),
                ('last_name', models.CharField(max_length=15)),
                ('mobile', models.IntegerField()),
                ('age', models.IntegerField()),
                ('gender', models.CharField(choices=[('M', 'Male'), ('F', 'Female'), ('O', 'Others')], max_length=3)),
                ('address', models.TextField(max_length=300)),
                ('email', models.EmailField(max_length=254)),
                ('is_active', models.BooleanField(default=False)),
                ('addmited_time', models.DateTimeField(null=True)),
                ('discharge_time', models.DateTimeField(null=True)),
                ('is_visited', models.BooleanField(blank=True, null=True)),
                ('insurance', models.BooleanField(blank=True, null=True)),
                ('insurance_claim', models.BooleanField(blank=True, null=True)),
                ('emergency', models.BooleanField(blank=True, null=True)),
                ('disease', models.ManyToManyField(to='hospital.disease')),
                ('doctor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='authentication.doctor')),
            ],
            options={
                'unique_together': {('first_name', 'last_name', 'email')},
            },
        ),
        migrations.CreateModel(
            name='PatientMedicine',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dose', models.CharField(max_length=20)),
                ('doctor_name', models.ManyToManyField(to='authentication.doctor')),
                ('medicine_name', models.ManyToManyField(to='hospital.medicine')),
                ('nurse_name', models.ManyToManyField(to='authentication.nurse')),
                ('patient_name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hospital.patient')),
            ],
        ),
        migrations.CreateModel(
            name='Reports',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('report_name', models.CharField(max_length=200)),
                ('charge', models.FloatField()),
                ('result', models.FileField(upload_to='')),
            ],
        ),
        migrations.CreateModel(
            name='RoomType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('room_type', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Room',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('room_number', models.IntegerField(unique=True)),
                ('charges', models.FloatField()),
                ('room_book', models.BooleanField(blank=True, null=True)),
                ('room_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hospital.roomtype')),
            ],
        ),
        migrations.CreateModel(
            name='PatientRoom',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('total_charge', models.FloatField(null=True)),
                ('from_date', models.DateField(blank=True, null=True)),
                ('to_date', models.DateField(blank=True, null=True)),
                ('patient', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hospital.patient')),
                ('room', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hospital.room')),
            ],
        ),
        migrations.CreateModel(
            name='PatientReports',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('total_charge', models.FloatField(blank=True, null=True)),
                ('patient', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hospital.patient')),
                ('report', models.ManyToManyField(to='hospital.reports')),
            ],
        ),
        migrations.CreateModel(
            name='PatientMedicineTime',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_time', models.DateTimeField()),
                ('is_given', models.BooleanField()),
                ('patient_medicine', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hospital.patientmedicine')),
            ],
        ),
        migrations.CreateModel(
            name='PatientInsurance',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('policy_number', models.IntegerField()),
                ('insurance_taken_at', models.DateTimeField()),
                ('patient', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hospital.patient')),
                ('policy', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hospital.insurance')),
            ],
        ),
        migrations.CreateModel(
            name='DoctorLeave',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('leave_from', models.DateField()),
                ('leave_to', models.DateField()),
                ('leave_type', models.CharField(max_length=20)),
                ('is_accepted', models.BooleanField(blank=True, null=True)),
                ('doctor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='authentication.doctor')),
            ],
        ),
        migrations.CreateModel(
            name='DoctorCharges',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('charge', models.FloatField(blank=True, null=True)),
                ('emergency_charges', models.FloatField(blank=True, null=True)),
                ('appointment_charge', models.FloatField(blank=True, null=True)),
                ('doctor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='authentication.doctor')),
            ],
        ),
        migrations.CreateModel(
            name='Billing',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('GST', models.FloatField()),
                ('total_amount', models.FloatField(blank=True, null=True)),
                ('discount_in_persent', models.FloatField(blank=True, null=True)),
                ('discount_in_cash', models.FloatField(blank=True, null=True)),
                ('final_amount', models.FloatField(blank=True, null=True)),
                ('amount_payable', models.FloatField(blank=True, null=True)),
                ('doctor_charges', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hospital.doctorcharges')),
                ('patient', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hospital.patient')),
                ('reports', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hospital.patientreports')),
                ('room', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hospital.patientroom')),
                ('sum_insured', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hospital.patientinsurance')),
            ],
        ),
        migrations.CreateModel(
            name='Appointment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_time', models.DateTimeField()),
                ('end_time', models.DateTimeField(blank=True, null=True)),
                ('is_accepted', models.BooleanField(blank=True, null=True)),
                ('symptoms', models.TextField()),
                ('doctor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='authentication.doctor')),
                ('patient', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hospital.patient')),
            ],
        ),
    ]
